resource "kubernetes_cluster_role" "cluster_autoscaler_clusterrole" {
  metadata {
    name = "autoscaler-svc-acc"
  }

  rule {
    api_groups = [""]
    resources  = ["configmaps", "namespaces", "pods", "services", "nodes", "ingresses", "secrets"]
    verbs      = ["get", "list", "watch", "create", "patch", "delete"]
  }
}

resource "kubernetes_cluster_role_binding" "external_dns_role_bind" {
  metadata {
    name = "autoscaler-svc-acc"
  }

  role_ref {
    api_group = "rbac.authorization.k8s.io"
    kind      = "ClusterRole"
    name      = "cluster-admin"
  }

  subject {
    kind      = "ServiceAccount"
    name      = "autoscaler-svc-acc"
    namespace = "kube-system"
    api_group = ""
  }

  subject {
    kind      = "Group"
    name      = "system:serviceaccount"
    api_group = "rbac.authorization.k8s.io"
  }
}
